Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class MDDigitalTransferOptions

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.MDDigitalTransferOptions

    public class MDDigitalTransferOptions

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}onLine"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected OnLine` | `onLine`

Constructor Summary
`MDDigitalTransferOptions()`

Method Summary
`OnLine` | `getOnLine()` Gets the value of the onLine property.
`void` | `setOnLine(OnLine value)` Sets the value of the onLine property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### onLine

    protected OnLine onLine

Constructor Detail

### MDDigitalTransferOptions

    public MDDigitalTransferOptions()

Method Detail

### getOnLine

    public OnLine getOnLine()

  Gets the value of the onLine property.

  Returns:
    possible object is `OnLine`

### setOnLine

    public void setOnLine(OnLine value)

  Sets the value of the onLine property.

  Parameters:
    `value` - allowed object is `OnLine`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org